<?php

class ActionUpdateCms extends CAction
{

	public function run()
	{
		
		if (!Yii::app()->user->isAdmin)
			throw new CHttpException(404,'You are not authorized.');
		$model=$this->loadModel($_GET['id']);

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Content']))
		{
			$model->attributes=$_POST['Content'];
			if($model->save())
			{
				if (Yii::app()->request->isAjaxRequest)
				{
					echo CJSON::encode(array(
						'status'=>'success', 
						'text'=>$model->text));
					exit;
				}
				else
				{
					$this->controller->render('application.extensions.simpleCMS.views._form',array('model'=> $model));
				}
			}
		}
		if (Yii::app()->request->isAjaxRequest)
		{
			echo CJSON::encode(array('status'=>'failure', 'form'=>$this->controller->renderPartial('application.extensions.simpleCMS.views._form',array('model'=> $model), true )));
		}
		else
			$this->controller->render('application.extensions.simpleCMS.views._form',array('model'=> $model));
		
	}
	
	
	
	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 * @param integer the ID of the model to be loaded
	 */
	public function loadModel($id)
	{
		$model=Content::model()->findByPk((int)$id);
		if($model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		return $model;
	}
}